﻿using MVC4Samples.Models;
using Newtonsoft.Json;
using Newtonsoft.Json.Serialization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization.Json;
using System.Web;
using System.Web.Mvc;

namespace MVC4Samples.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            //ViewBag.DataPoints = new DataContractJsonSerializer(dataPoints.GetType()).;
            ViewBag.DataPoints = JsonConvert.SerializeObject(_dataPoints);

            return View();
        }

        public ActionResult AjaxJSON()
        {
            //ViewBag.DataPoints = new DataContractJsonSerializer(dataPoints.GetType()).;
            ViewBag.DataPoints = JsonConvert.SerializeObject(_dataPoints);

            return View();
        }

        public ContentResult JSONData()
        {
            return Content(JsonConvert.SerializeObject(_dataPoints), "application/json");
        }

        List<DataPoint> _dataPoints = new List<DataPoint>() { 
            new DataPoint("apple", 10), 
            new DataPoint("orange", 15), 
            new DataPoint("banana", 25), 
            new DataPoint("mango", 30), 
            new DataPoint("grape", 28) 
        };
    }
}
